com.oracle.truffle.api.script

## Class TruffleScriptEngineFactory

- java.lang.Object
- - com.oracle.truffle.api.script.TruffleScriptEngineFactory

All Implemented Interfaces:
  javax.script.ScriptEngineFactory

    public abstract class TruffleScriptEngineFactory
    extends java.lang.Object
    implements javax.script.ScriptEngineFactory

Tool access to the creation of Truffle execution engines.

### Constructor Summary

Constructors
Constructor and Description
`TruffleScriptEngineFactory()`

### Method Summary

Methods
`protected void` `engineCreated(javax.script.ScriptEngine engine)` To be called by each concrete factory just after each engine instance is created, presenting an opportunity for an IDE to interrupt in a language-independent way.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.script.ScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getLanguageName, getLanguageVersion, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, getScriptEngine`

### Constructor Detail

#### TruffleScriptEngineFactory

    public TruffleScriptEngineFactory()

### Method Detail

#### engineCreated

    protected final void engineCreated(javax.script.ScriptEngine engine)

To be called by each concrete factory just after each engine instance is created, presenting an opportunity for an IDE to interrupt in a language-independent way.

Parameters:
  `engine` - a just-created engine